Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

 PHP Discussion :

Problème avec composer require


Sujet :

PHP

  1. #1
    Nouveau Candidat au Club
    Problème avec composer require
    J'ai débuté sur Symfony avec un PC depuis quelques jours et maintenant je suis bloqué au niveau de la commande php composer require server --dev
    A chaque fois que je tape la commande je vois dérouler le contenu de composer au lieu de télécharger les dépendances. Et ceci est valable pour tout les autres commandes contenant composer require. Etant entrain de suivre l'explication de cette page je ne peux pas utiliser les commandes git car je reçois un message disant que la commande est introuvable.

    j'utilise Symfony 4.2.3, PHP 7.2.12


  2. #2
    Membre chevronné
    Salut,

    Tu utilises vs code, si tu utilises composer directement en invite de commande as tu le problèmes? Tu utilises cette extension https://github.com/ikappas/vscode-composer?

  3. #3
    Nouveau Candidat au Club
    Bonjour kevin254kl,

    j'ai dèjà utilisé l'invite de commande directement sans VS Code et le problème reste le même. Aussi j'utilise pas cette extension à moins qu'elle soit installé par défaut sur vs code. Pour isoler le problème de ce côté, j'ai désactivé toutes les extensions et rien a changé. Une autre solution serait la bienvenue. Merci.

  4. #4
    Membre à l'essai
    Bonjour,

    en ce qui concerne ton message d'erreur "Git : commande introuvable"

    Soit tu n'as pas installé Git.
    Soit le chemin vers l'executable Git n'est pas dans ta variable d'environnement PATH.

    Cordialement.